import Image from "next/image";

export default function ContactsLink({ src, alt, url, description, url_text }) {
  return (
    <p className="md:text-lg sm:text-md text-xs text-center text-werefox-blue-dark dark:text-werefox-blue">
      <a href={url} target="_blank">
        <span className="animate-bounce relative inline-block w-6 h-6 align-middle">
          <Image src={src} layout="fill" objectFit="contain" alt={alt} />
        </span>
      </a>{" "}
      {description}{" "}
      <a
        className="animate-wiggle inline-flex transition hover:text-werefox-pink-dark dark:hover:text-werefox-pink"
        href={url}
        target="_blank"
      >
        {url_text}
      </a>
    </p>
  );
}
