import Link from "next/link";
import WCard from "./werefox-card";

export default function FooterCard() {
  return (
    <footer className="p-4 space-y-2 rounded-lg ring-2 ring-werefox-grey dark:ring-werefox-grey-darker bg-werefox-grey-light dark:bg-werefox-grey">
      <div className="flex text-werefox-blue-darker dark:text-werefox-blue">
        <div className="flex-1 sm:pr-16 pr-4">
          <p className="text-right sm:text-md text-sm transition">
            <Link href="/contacts">
              <a className="hover:text-werefox-pink-dark dark:hover:text-werefox-pink">
                Contact
              </a>
            </Link>
          </p>
        </div>
        <div className="flex-1 sm:pl-16 pl-4">
          <p className="text-left sm:text-md text-sm transition">
            <Link href="https://gitea.werefox.dev/shadow8t4/info-werefox-dev">
              <a
                className="hover:text-werefox-pink-dark dark:hover:text-werefox-pink"
                target="_blank"
              >
                 /src
              </a>
            </Link>
          </p>
        </div>
      </div>
      <p className="text-center text-xs text-werefox-grey-darkest dark:text-werefox-grey-lightest">
        This site uses{" "}
        <Link href="https://mutant.tech">
          <a className="transition hover:text-werefox-grey-darker dark:hover:text-werefox-grey-lighter">
            Mutant Standard emoji
          </a>
        </Link>
        , which are licensed under a{" "}
        <Link href="https://creativecommons.org/licenses/by-nc-sa/4.0/">
          <a className="transition hover:text-werefox-grey-darker dark:hover:text-werefox-grey-lighter">
            Creative Commons Attribution-NonCommercial-ShareAlike 4.0
            International License
          </a>
        </Link>
      </p>
    </footer>
  );
}
