import BasicPage from "../../../components/basic-page";
import IDCard from "../../../components/identity-card";

export default function Pronouns() {
  return (
    <BasicPage
      page_title="What are your pronouns?"
      card_title="Pronouns! Important!"
    >
      <IDCard
        title="She/Her"
        info={{
          info: `When you're referring to me, please use the pronouns "She/Her".`,
          more: `If you need some examples, for whatever reason, here are some from the site you can visit by clicking on the link below!`,
          examples: `"Today I met a new friend, and she is really nice. She has a wonderful personality. That smile of hers really makes me happy."`,
        }}
        url="https://pronouns.me/she"
        src="/emoji/speech_bubble_left.svg"
        alt="A speech bubble emoji"
      />
    </BasicPage>
  );
}
